Debian Bug report logs - #663009
sysvinit: (chroot) .init: timeout opening/writing control channel /run/initctl

version graph

Package: sysvinit; Maintainer for sysvinit is Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>; Source for sysvinit is src:sysvinit.

Reported by: Hector Oron <zumbi@debian.org>

Date: Wed, 7 Mar 2012 23:57:05 UTC

Severity: serious

Found in versions sysvinit/2.88dsf-34, sysvinit/2.88dsf-22

Fixed in versions sysvinit/2.88dsf-38, sysvinit/2.88dsf-39, sysvinit/2.88dsf-40

Done: Roger Leigh <rleigh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#663009; Package sysvinit. (Wed, 07 Mar 2012 23:57:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 07 Mar 2012 23:57:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sysvinit: (chroot) .init: timeout opening/writing control channel /run/initctl
Date: Thu, 08 Mar 2012 00:55:34 +0100
Package: sysvinit
Version: 2.88dsf-22
Severity: normal

Hello,

  When creating a foreign architecture chroot system on my system with multistrap, note that it does not seem to run preinst, I get to see this messages in the display (when running postinst scripts):

Setting up sysvinit (2.88dsf-22) ...
sysvinit: creating /run/initctl
sysvinit: restarting...init: timeout opening/writing control channel /run/initctl
.init: timeout opening/writing control channel /run/initctl
.init: timeout opening/writing control channel /run/initctl
.init: timeout opening/writing control channel /run/initctl
.init: timeout opening/writing control channel /run/initctl
.init: timeout opening/writing control channel /run/initctl
.init: timeout opening/writing control channel /run/initctl
.init: timeout opening/writing control channel /run/initctl
 failed.

 I wonder if this failure could get fixed somehow.

 Thanks

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (900, 'testing'), (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 3.2.0-1-686-pae (SMP w/4 CPU cores)
Locale: LANG=ca_ES.UTF-8, LC_CTYPE=ca_ES.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages sysvinit depends on:
ii  debianutils     4.2.1
ii  initscripts     2.88dsf-22
ii  libc6           2.13-26
ii  libselinux1     2.1.0-4.1
ii  libsepol1       2.1.0-1.2
ii  sysv-rc         2.88dsf-22
ii  sysvinit-utils  2.88dsf-22

sysvinit recommends no packages.

sysvinit suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#663009; Package sysvinit. (Wed, 16 Jan 2013 19:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 16 Jan 2013 19:15:03 GMT) Full text and rfc822 format available.

Message #10 received at 663009@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 663009@bugs.debian.org
Subject: happens on all upgrades
Date: Wed, 16 Jan 2013 20:12:13 +0100
Control: found -1 2.88dsf-34
Control: severity -1 serious

I upgraded several machines in the last days and _every_ one failed to
reboot after that:

| # reboot
|                   
| Broadcast message from root@s1 (pts/23) (Wed Jan 16 20:07:09 2013):
| 
| The system is going down for reboot NOW!
| shutdown: timeout opening/writing control channel /run/initctl
| init: timeout opening/writing control channel /run/initctl

Adding a symlink from /dev/initctl to /run/initctl makes reboot work
again.

Bastian

-- 
... bacteriological warfare ... hard to believe we were once foolish
enough to play around with that.
		-- McCoy, "The Omega Glory", stardate unknown



Marked as found in versions sysvinit/2.88dsf-34. Request was from Bastian Blank <waldi@debian.org> to 663009-submit@bugs.debian.org. (Wed, 16 Jan 2013 19:15:03 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Bastian Blank <waldi@debian.org> to 663009-submit@bugs.debian.org. (Wed, 16 Jan 2013 19:15:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#663009; Package sysvinit. (Wed, 16 Jan 2013 19:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 16 Jan 2013 19:27:03 GMT) Full text and rfc822 format available.

Message #19 received at 663009@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Bastian Blank <waldi@debian.org>, 663009@bugs.debian.org
Subject: Re: Bug#663009: happens on all upgrades
Date: Wed, 16 Jan 2013 19:23:42 +0000
On Wed, Jan 16, 2013 at 08:12:13PM +0100, Bastian Blank wrote:
> Control: found -1 2.88dsf-34
> Control: severity -1 serious
> 
> I upgraded several machines in the last days and _every_ one failed to
> reboot after that:
> 
> | # reboot
> |                   
> | Broadcast message from root@s1 (pts/23) (Wed Jan 16 20:07:09 2013):
> | 
> | The system is going down for reboot NOW!
> | shutdown: timeout opening/writing control channel /run/initctl
> | init: timeout opening/writing control channel /run/initctl
> 
> Adding a symlink from /dev/initctl to /run/initctl makes reboot work
> again.

Do you have a transcript of any of the upgrades?  It would be useful
to know what when wrong here, since we do take care to make
init reopen the control channel.
See /var/lib/dpkg/info/sysvinit.postinst lines 9-44 in do_restart().

One question would be if all these systems were running in some
type of container, since we determine the PID of init using
PID="$(pidof /sbin/init || true)"
Is this failing on your systems?  If so, it would be very helpful
to know why, and what we could do to make this more robust.
Should probably be changed to "|| echo 1" as a fallback on failure.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#663009; Package sysvinit. (Wed, 23 Jan 2013 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Wed, 23 Jan 2013 23:00:04 GMT) Full text and rfc822 format available.

Message #24 received at 663009@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Bastian Blank <waldi@debian.org>, 663009@bugs.debian.org
Subject: Re: Bug#663009: happens on all upgrades
Date: Wed, 23 Jan 2013 22:56:29 +0000
On Wed, Jan 16, 2013 at 08:12:13PM +0100, Bastian Blank wrote:
> Control: found -1 2.88dsf-34
> Control: severity -1 serious
> 
> I upgraded several machines in the last days and _every_ one failed to
> reboot after that:

Does the following patch help with this?
Also, it would help greatly to have some information about the
systems you upgraded.  Were these running native, or using some
form of container/virtualisation?  This patch should help for
environment where pidof fails to detect init, but unless I
understand the problem better, I'm not going to be able to
just guess.  Does pidof "/sbin/init" work on these systems?
Does it have a nonzero exit status?


--- a/debian/postinst
+++ b/debian/postinst
@@ -19,7 +19,7 @@ do_restart() {
 
 	# PID of init; may not always be 1.  Use for sending signals
 	# and checking if init is running.
-	PID="$(pidof /sbin/init || true)"
+	PID="$(pidof /sbin/init || echo 1)"
 
 	# Create /run/initctl if not present, and also create compatibility
 	# symlinks
--- a/debian/src/initscripts/etc/init.d/mountall.sh
+++ b/debian/src/initscripts/etc/init.d/mountall.sh
@@ -55,7 +55,7 @@ do_start() {
 		mknod -m 600 "$INITCTL" p
 
 		# Reopen control channel.
-		PID="$(pidof /sbin/init || true)"
+		PID="$(pidof /sbin/init || echo 1)"
 		[ -n "$PID" ] && kill -s USR1 "$PID"
 	fi
 

Thanks,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Reply sent to Roger Leigh <rleigh@debian.org>:
You have taken responsibility. (Thu, 24 Jan 2013 22:06:05 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Thu, 24 Jan 2013 22:06:05 GMT) Full text and rfc822 format available.

Message #29 received at 663009-close@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 663009-close@bugs.debian.org
Subject: Bug#663009: fixed in sysvinit 2.88dsf-38
Date: Thu, 24 Jan 2013 22:03:00 +0000
Source: sysvinit
Source-Version: 2.88dsf-38

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roger Leigh <rleigh@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Wed, 23 Jan 2013 22:43:55 +0000
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts bootlogd
Architecture: source amd64 all
Version: 2.88dsf-38
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Roger Leigh <rleigh@debian.org>
Description: 
 bootlogd   - daemon to log boot messages
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 663009
Changes: 
 sysvinit (2.88dsf-38) unstable; urgency=low
 .
   [ Roger Leigh ]:
   * If pidof fails in the sysvinit postinst or initscripts, default
     to PID 1 (for /sbin/init) (Closes: #663009).
   * Make fstab globbing in initscripts completely robust.
Checksums-Sha1: 
 88f330bb7791fe71f5dfbd0344b68400368c63c9 2342 sysvinit_2.88dsf-38.dsc
 27bcfa50d93c6c69cdfbe55e3a0523c9b21b7b90 210112 sysvinit_2.88dsf-38.debian.tar.gz
 1c1502c406994718a82ff62052fe399b9620a66f 132872 sysvinit_2.88dsf-38_amd64.deb
 c80cc0a6b868714e08851febc20ef934a82549e0 99244 sysvinit-utils_2.88dsf-38_amd64.deb
 5d86f8d08b2a15953e4db1ffe4c40a2680e636bc 81132 sysv-rc_2.88dsf-38_all.deb
 6beaeef9341d3ac19ae902353b7a86ee8c66036a 93836 initscripts_2.88dsf-38_amd64.deb
 26e544444fd73c0fd2112981caaaa6ac055da28b 54736 bootlogd_2.88dsf-38_amd64.deb
Checksums-Sha256: 
 e9400ca919c699703e30ab679b6b7174fa7e3593adb15d5a7f8f0599df12f89a 2342 sysvinit_2.88dsf-38.dsc
 18651a21d664ae853295877c5e0c06a0764022f2d6f6bca71b5fcf368b4afe2d 210112 sysvinit_2.88dsf-38.debian.tar.gz
 f7ab74f2cb15854e7f6b81fdfea820f1ac5ffcf93c7a1481139f365a9339a564 132872 sysvinit_2.88dsf-38_amd64.deb
 0a5fee9cb3a29cfaccd4061546f9ebc157b4ba06695dd867ab3ba3e0eaf3e6fa 99244 sysvinit-utils_2.88dsf-38_amd64.deb
 25650da9e0cec144c635ff7231451c870357b4b0a10348d6ed47835a7eb9a258 81132 sysv-rc_2.88dsf-38_all.deb
 575b30ee6b75abab091402a6d6ac7dddc32c919dcdda0b464bdc7602c05a83da 93836 initscripts_2.88dsf-38_amd64.deb
 24e9f5b12fd437cbfa4d754f7abc7989becd189033cbb364853d2b45849b5894 54736 bootlogd_2.88dsf-38_amd64.deb
Files: 
 1dd397f3496b092dd3f1bf70d60dc5bf 2342 admin required sysvinit_2.88dsf-38.dsc
 785d71ddb7a01f1b0d4b65ffb293fd37 210112 admin required sysvinit_2.88dsf-38.debian.tar.gz
 0c91d3b9a337bb9567b67b834bb313cd 132872 admin required sysvinit_2.88dsf-38_amd64.deb
 dd350ea5f830411e46627820300f5d8a 99244 admin required sysvinit-utils_2.88dsf-38_amd64.deb
 c69348d34704d97355428f801421f5d7 81132 admin required sysv-rc_2.88dsf-38_all.deb
 6807a30af60c16614ff555235ce17e31 93836 admin required initscripts_2.88dsf-38_amd64.deb
 193706d0da9852f7ce00c576d1f038c1 54736 admin optional bootlogd_2.88dsf-38_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRAavyAAoJEOJSSsUKn1xZpdwQALgX/rEsJLShQpzW/61cWyvT
+cz189dT/Xs0BNobIU72l4Rm+bian9LzMH/4Q0oHC1LJ5EvHkYVv1QKo4ILzsdlJ
3CGcx8R2Y5ykkC18BYIkax1a2EcxEw3tulG2gn/caVCIHJYCQrSiHx3m9aRLDM6S
py3R1+4azLdB1obrDj+RNfr22bLB1pkzI+zVjUo3nRlaf0Z1ePKBPkoXLupYdamy
AdzVOMB3l65PoEbRtjpGzBAzWVovbC7+zBmN+lJiRASu3tXAGJyEGak4nlncUVUe
r5EajME+4OqmioCeW4eKk4Y5XtDU3YFthLuLLZUZoYVlMYBPwZsTPVLTL6st8xwQ
DPmpQXnoULtEQ8rf8gFFFzMuc6CUD49ssrXlYcXi5Dz2+TpqzWg8+QWHXr3Z5ZTp
/z2DnCLGhkq4yFB5YLmVAXTEnZ2MntzCx2Tgb+ZoT7w4ITuX1UgXiHuAnMSkfRW/
KHmco708ITKjKfp/xZfslUYSCPMUpziJFYmxrrJiE5jaN4nERAlJCNyM89347ueK
uuRa6AWwPcQmxZF40va3+POlqLIsiqNsvfzmqYP80gjRoWD1yPUGsH+4fF3ouYRl
p+3YInwRy9iOj0qn+VWmOzn8lL3U984vwlFr6DOK6Qob4KCzll8NUpjt7oKoqzuo
RownEHtjsQzbwEcpIG6H
=eIJO
-----END PGP SIGNATURE-----




Reply sent to Roger Leigh <rleigh@debian.org>:
You have taken responsibility. (Sat, 26 Jan 2013 20:51:04 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Sat, 26 Jan 2013 20:51:04 GMT) Full text and rfc822 format available.

Message #34 received at 663009-close@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 663009-close@bugs.debian.org
Subject: Bug#663009: fixed in sysvinit 2.88dsf-39
Date: Sat, 26 Jan 2013 20:48:40 +0000
Source: sysvinit
Source-Version: 2.88dsf-39

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roger Leigh <rleigh@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 26 Jan 2013 12:09:29 +0000
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts bootlogd
Architecture: source amd64 all
Version: 2.88dsf-39
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Roger Leigh <rleigh@debian.org>
Description: 
 bootlogd   - daemon to log boot messages
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 663009 698966
Changes: 
 sysvinit (2.88dsf-39) unstable; urgency=low
 .
   [ Roger Leigh ]:
   * initscripts postinst calls urandom, not urandom.sh (Closes: #698966).
   * sysvinit postinst unconditionally creates a compatibility initctl
     link to ensure the migration to /run won't fail (Closes: #663009).
Checksums-Sha1: 
 a61949f849aff24366a44400a2cbcda2e4402bb3 2342 sysvinit_2.88dsf-39.dsc
 0a4c2c5109b866927f6208b273861281819d5043 210257 sysvinit_2.88dsf-39.debian.tar.gz
 ae7974d35808d43f42cb755461e1f91388e9ab2f 132896 sysvinit_2.88dsf-39_amd64.deb
 479db817ed1c64ed7dbef945f444c518527817c8 99326 sysvinit-utils_2.88dsf-39_amd64.deb
 50dd1edb0ae5cd693dc7f95bf2cd8c0da5b5dd57 81208 sysv-rc_2.88dsf-39_all.deb
 f488f9077aca2058136cc31f76984f4c4d2f76cc 93904 initscripts_2.88dsf-39_amd64.deb
 de628b66f01c1d8044ac7d900860dfd4190e96bd 54798 bootlogd_2.88dsf-39_amd64.deb
Checksums-Sha256: 
 38e918aff464e80cde26975c17f96122b15bf5c43a69ae5602ecc2269b3db35e 2342 sysvinit_2.88dsf-39.dsc
 b0d14d72fea5fca616d6bcf78280d418d42b75b6442a40d457d07fbf7e3c845c 210257 sysvinit_2.88dsf-39.debian.tar.gz
 0cf3f2407029ac915b22d54bcfc18797bdd57fb4b92f3b860133551125c3e8dd 132896 sysvinit_2.88dsf-39_amd64.deb
 f7d4f2937c3f64346d36967ede52673206ec30361321fd663f3318a2177366e4 99326 sysvinit-utils_2.88dsf-39_amd64.deb
 79c60c8c955c6062819a95c60bdf02d94608057a32f90e855a994638cf703153 81208 sysv-rc_2.88dsf-39_all.deb
 3ad5dd75f89b804d15d25c24cc9c5fb0c6f4bad8df65c4165b7218cde3548d32 93904 initscripts_2.88dsf-39_amd64.deb
 9dc712e4bdb0901f070dc1a360da784aae526b33df50a3193af210a4b0bbc11f 54798 bootlogd_2.88dsf-39_amd64.deb
Files: 
 24e4c831745e02438ead71f7ff32ad23 2342 admin required sysvinit_2.88dsf-39.dsc
 dfb891d78b2c460759304de25f9ffd13 210257 admin required sysvinit_2.88dsf-39.debian.tar.gz
 71b4246d894857526af9c9771f263509 132896 admin required sysvinit_2.88dsf-39_amd64.deb
 274229c2d646dfea4d5b3d597fc0d962 99326 admin required sysvinit-utils_2.88dsf-39_amd64.deb
 b69c13cf5e0a35f11cc808265ad36d32 81208 admin required sysv-rc_2.88dsf-39_all.deb
 aba1cb36986398611a177bed48fa7fb1 93904 admin required initscripts_2.88dsf-39_amd64.deb
 d2264b891daac1eae2281a12f371eab0 54798 admin optional bootlogd_2.88dsf-39_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJRBDh1AAoJEOJSSsUKn1xZ5Y0P/0mN9SSrtFfNMZyLrVnV1glP
EJOuEfhbZ3EWOgOdAC8R/7pOM8K7jrwdF5tzaQqidogmPVAd4arOUE62vAOMvKGg
L0eUmZTUkPfXAk8I7HNc5ib5LcPEh+RcmgfHwSesgsndQX3lwRrtRz6+rpLK5CnL
XB/tcxEcHLUrBGzz6U68SSzNlU5LBNIVHDKUFVaUvp48FAhm5U3YlsJvkMPiK29t
Ov+9y5om9tlAnmRH9UQE0ALbD7hSv+SbIVB8i8rqiOk3VjJWh1kAETVctfKaX2hA
axN41SZEHyMpKlwb4GfqIY5Y2G+p0kVf0mESl9i82RiKVZzWHdqtkvnIcIpBsruK
j9Sa78+ejnjb0LikzhEAg3FxEihA+/jydmVyYe3HWMjfPGxdgGCAJD9NzwDAQeYu
rQVULzho9Zel9xD5ywPw/Rb9cpibSiekZzHPgNSXeQi+p8pD9Qo6MjXSz+YJ/6V0
1EKg6oTvJQLOvQwKGyCl4D/Y5GXdA7Cb1T31dS7m2VfjlzBXkfhLe2mrWzXX7Lh3
PqFwwaQJi4/WBI69piWLia2Ip/T7j7gb7gg2hXL74jwAYeeB+FyOUcUE2nPmI5tH
ZGzkPeLtDvuxX+NziTnTZPgDgoIKg8JWGhh058uw+wldeKeNe+A7ebzBKMPueDcH
VW9Qv5SG/OajofIv7BBt
=ZWik
-----END PGP SIGNATURE-----




Reply sent to Roger Leigh <rleigh@debian.org>:
You have taken responsibility. (Thu, 07 Feb 2013 01:51:14 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Thu, 07 Feb 2013 01:51:15 GMT) Full text and rfc822 format available.

Message #39 received at 663009-close@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 663009-close@bugs.debian.org
Subject: Bug#663009: fixed in sysvinit 2.88dsf-40
Date: Thu, 07 Feb 2013 01:47:37 +0000
Source: sysvinit
Source-Version: 2.88dsf-40

We believe that the bug you reported is fixed in the latest version of
sysvinit, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 663009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roger Leigh <rleigh@debian.org> (supplier of updated sysvinit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sun, 03 Feb 2013 14:52:05 +0000
Source: sysvinit
Binary: sysvinit sysvinit-utils sysv-rc initscripts bootlogd
Architecture: source amd64 all
Version: 2.88dsf-40
Distribution: unstable
Urgency: low
Maintainer: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>
Changed-By: Roger Leigh <rleigh@debian.org>
Description: 
 bootlogd   - daemon to log boot messages
 initscripts - scripts for initializing and shutting down the system
 sysv-rc    - System-V-like runlevel change mechanism
 sysvinit   - System-V-like init utilities
 sysvinit-utils - System-V-like utilities
Closes: 663009 699523 699566
Changes: 
 sysvinit (2.88dsf-40) unstable; urgency=low
 .
   [ Roger Leigh ]:
   * Don't restart init on GNU/Hurd (Closes: #663009).
   * Handle PID detection more robustly, to work better with containers
     (Closes: #699523).  Always use PID1, which avoids the need for
     fragile pidof usage.
   * Handle ischroot more gracefully on failure (Closes: #699566).
Checksums-Sha1: 
 b022e68787bb57ecf842bfcf63a0df9676039306 2342 sysvinit_2.88dsf-40.dsc
 d9a6846128181a51b7c0937a45ab93927f7043fc 210433 sysvinit_2.88dsf-40.debian.tar.gz
 7f6fb01e0f202077c1c88b5d507305f21a32a936 133064 sysvinit_2.88dsf-40_amd64.deb
 f0e01c35ffc5a3d47451e66ff3b53934dbc11464 99454 sysvinit-utils_2.88dsf-40_amd64.deb
 8cfa152cd1e2d913c530603f78b883d0345da439 81328 sysv-rc_2.88dsf-40_all.deb
 8fe9b2d345af9d45028bb8ba41879675eaf1820a 94006 initscripts_2.88dsf-40_amd64.deb
 c10a4d7eaf82ddcf7f498a20e3c578c4929487d1 54884 bootlogd_2.88dsf-40_amd64.deb
Checksums-Sha256: 
 4468a2ac2182bf7ea32204378d1ce4c877f312765075f3b79f35c38b2da80164 2342 sysvinit_2.88dsf-40.dsc
 8018359b7d9a247b78b90da4a573d429964b2e2130a54bde4da9ce817774bfb5 210433 sysvinit_2.88dsf-40.debian.tar.gz
 5cfdcd399fd396b29e9ff385bfb44541955a211b31f65607e7d754252fadafdf 133064 sysvinit_2.88dsf-40_amd64.deb
 54f6a699f9914276c3197dbe3d3637f45942a49b08751fb9020d9206e13e72ab 99454 sysvinit-utils_2.88dsf-40_amd64.deb
 0d0d410f2ce8f1c9e85b8fa80e3b9236a45d5edc65a64593c69c5e6d02c670ce 81328 sysv-rc_2.88dsf-40_all.deb
 20d500c855f3d9993a81c438f3ce1593b3475c19c4823491bef67572df385ead 94006 initscripts_2.88dsf-40_amd64.deb
 b75293ec5da3929786e9c8bb476da7a870d333be89654712c9f4519b6117e59b 54884 bootlogd_2.88dsf-40_amd64.deb
Files: 
 bfedfcca79da6ba11dae9a8df3aea189 2342 admin required sysvinit_2.88dsf-40.dsc
 fdd38f5253c93ad5565cd6bd1b5ebe44 210433 admin required sysvinit_2.88dsf-40.debian.tar.gz
 62c9e2497b20c22134bdef390e0299d1 133064 admin required sysvinit_2.88dsf-40_amd64.deb
 eb201b12805331b1dd8d9483fd1b5e2a 99454 admin required sysvinit-utils_2.88dsf-40_amd64.deb
 6104320104dc2cc1b24a7a9db3da9a54 81328 admin required sysv-rc_2.88dsf-40_all.deb
 aaafe1b4b9b3250c12969dfe463e455d 94006 admin required initscripts_2.88dsf-40_amd64.deb
 d9061f134bfa0b742c2856d1cd415439 54884 admin optional bootlogd_2.88dsf-40_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJREv2VAAoJEOJSSsUKn1xZ9lQP/iViYeYbrh/Wwwxl7GU4Krgv
bCH4wNg6eqReCmfL/K5F1DJF0PyLxQtAplGD8vGTpuzpExOuOCa2FBaux5nuqaUM
hGkulKx9cgUW7WZtwGXmjbZW2mryv/ICfGoU72kL8nhlnJPkx0piv2sUaYdzlWCJ
TqBtBbp87sZVpNG+w1H6NaOTQUvJ2WTunXbxq3XOq0zC1GVsM0CwrACS8MgXq9lO
wwACXEv0Yg/1n0d8JkrqI93dZcCAOi1dCexbnz2voILIk3rkIxOTKPqvSuodqO6F
0/sKV3WVn1c8xC9B6QrXNDTLxO7jpukqkI2YSJlsOsHykB7r7neiWspXQ8fxy+gn
YzlVfhWVz3rqyDUK6kLeYbe6qeLGllafQyDIywvDPblp+PJ/8kk9RIT5Ofk/VkyG
idDu/6XrnmqDIT6iLhiTzzFSqZ0LH+UYjBcE3cBiWE3T6OwFd2aZ1qbxhmTjgO9B
/4r4dMMNcIgBJTbipXUNj6axqQwgHkeTyXzPKtirpJDEEjzcCzbIIWG+y/FCiGZx
pSnZrbczDqa6UKRpeXbssaXsRb7qm+DB/2FIKmYpac8151q1bRT84XMZ1Wu8PCNe
lVFwtdEX2T4x5+EAGxxBFf+Rkx2YfrRJxOox4cYMOqJUp+VIiwEZDMY7rkW0lt2J
0f5hero6KfLwC32hGuD1
=/u4I
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 07 Mar 2013 07:25:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:45:01 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.